%global npm_name y18n

Summary:       the bare-bones internationalization library used by yargs
Name:          nodejs-%{npm_name}
Version:       3.1.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/bcoe/y18n
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
The bare-bones internationalization library used by yargs.

Inspired by i18n.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 3.1.0-1
- Initial package
